# Auto Install Fonts

## Get

> Retrieve information about RAS printing settings font of a site.

```json
{"openapi":"3.0.1","info":{"title":"Parallels RAS - REST API v1.0","version":"1.0"},"paths":{"/api/PrintingSettings/AutoInstallFonts":{"get":{"tags":["2-Site settings//Printing"],"summary":"Get","description":"Retrieve information about RAS printing settings font of a site.","operationId":"a36a4e56-e4d0-42f2-8ab5-dac596be0b2d","parameters":[{"name":"SiteId","in":"query","description":"Site ID for which to retrieve the RAS printing settings font (optional)","schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"Success","content":{"application/json; api-version=1.0":{"schema":{"type":"array","items":{"type":"string"}}}}},"401":{"description":"Unauthorized","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"404":{"description":"Not Found","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}},"components":{"schemas":{"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}}}
```

## Add

> Add a new RAS Printing settings font to a site.

```json
{"openapi":"3.0.1","info":{"title":"Parallels RAS - REST API v1.0","version":"1.0"},"paths":{"/api/PrintingSettings/AutoInstallFonts":{"post":{"tags":["2-Site settings//Printing"],"summary":"Add","description":"Add a new RAS Printing settings font to a site.","operationId":"28b4645e-2ef0-4d7c-86d0-909e96bfb4fd","parameters":[{"name":"SiteId","in":"query","description":"ID of the site to which the font will be added (optional)","schema":{"type":"integer","format":"int32"}}],"requestBody":{"content":{"multipart/form-data":{"schema":{"type":"object","properties":{"fontFile":{"type":"string","description":"Upload File","format":"binary"}}}}}},"responses":{"201":{"description":"Created"},"401":{"description":"Unauthorized","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"409":{"description":"Conflict","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}},"components":{"schemas":{"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}}}
```

## Delete

> Delete a RAS Printing settings font from a site.

```json
{"openapi":"3.0.1","info":{"title":"Parallels RAS - REST API v1.0","version":"1.0"},"paths":{"/api/PrintingSettings/AutoInstallFonts":{"delete":{"tags":["2-Site settings//Printing"],"summary":"Delete","description":"Delete a RAS Printing settings font from a site.","operationId":"99eeded8-5c80-4d57-a779-d936dae88f2b","parameters":[{"name":"SiteId","in":"query","description":"ID of the site from which the font will be deleted (optional)","schema":{"type":"integer","format":"int32"}}],"requestBody":{"description":"RAS Printing settings font","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/RemovePrintingFont"}}}},"responses":{"204":{"description":"No Content"},"401":{"description":"Unauthorized","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"404":{"description":"Not Found","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}},"components":{"schemas":{"RemovePrintingFont":{"required":["fontName"],"type":"object","properties":{"fontName":{"maxLength":255,"minLength":0,"type":"string","description":"<para type=\"description\">Auto Install Font Name.</para>","nullable":true}},"additionalProperties":false,"description":"<para type=\"synopsis\">Remove a font from the list of Universal Printing auto install fonts.</para>\r\n<para type=\"description\"></para>"},"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}}}
```
